complexType "Trade"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 13 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | tradeHeader, product, barrierDeterminationAgent?
</...>

Content Model Elements (3):

  barrierDeterminationAgent, product, tradeHeader

All Direct / Indirect Based Elements (13):

  feeTrade, newTrade, oldTrade (in change), oldTrade (in novation), originalTrade (defined in OptionExercise complexType), originalTrade (defined in TradeChangeBase complexType), resultingTrade, | trade (defined in Events.model group), trade (defined in ImpliedTrade complexType), trade (in affectedTransactions), trade (in amendment), trade (in change), trade (in dataDocument)

Known Usage Locations

- As direct type of elements (13):

  feeTrade, newTrade, oldTrade (in change), oldTrade (in novation), originalTrade (defined in OptionExercise complexType), originalTrade (defined in TradeChangeBase complexType), resultingTrade, | trade (defined in Events.model group), trade (defined in ImpliedTrade complexType), trade (in affectedTransactions), trade (in amendment), trade (in change), trade (in dataDocument)

Annotation
A type defining an FpML trade.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Trade"> <xsd:sequence> <xsd:element name="tradeHeader" type="TradeHeader"/> <xsd:element ref="product"/> <!--View Generation: SKIPPED otherPartyPayment - Unsupported--> <!--View Generation: SKIPPED brokerPartyReference - PartySpecific--> <!--View Generation: SKIPPED - PartySpecific--> <!--View Generation: SKIPPED determiningParty - PartySpecific--> <!--FX change--> <xsd:element minOccurs="0" name="barrierDeterminationAgent" type="PartyReference"/> <!--View Generation: SKIPPED hedgingParty - PartySpecific--> <!--View Generation: SKIPPED collateral - PartySpecific--> <!--View Generation: SKIPPED documentation - Documentation--> <!--View Generation: SKIPPED governingLaw - Documentation--> <!--View Generation: SKIPPED allocations - PartySpecific--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
barrierDeterminationAgent

  Type: | PartyReference, empty content

  The party referenced is specified in the related Confirmation as Barrier Determination Agent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="barrierDeterminationAgent" type="PartyReference"/>

product

  Type: | Product, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 28 elements

  XML Source (see within schema source)

  <xsd:element ref="product"/>

tradeHeader

  Type: | TradeHeader, complex content

  The information on the trade which is not product specific, e.g. trade date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="tradeHeader" type="TradeHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.